# Get Merchants by Card Acceptor Id
source: https://developer.mastercard.com/merchant-identifier/documentation/use-cases/use-cases-2/index.md

## Get Merchants by Card Acceptor Id {#get-merchants-by-card-acceptor-id}

The client has raw transaction data which includes card acceptor id, but the client is unable to identify other merchant details and attributes about the merchant in the transaction. In this example we will query for merchants matching the card acceptor id of 'C928456'

**Note :** The card acceptor id used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants-by-card-acceptor-ids`

<br />

**RESTful Request Parameters**

```javascript
card_acceptor_id=C928456  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "address": {
        "line1": "61070 S HIGHWAY 97",
        "city": "BEND",
        "postalCode": "97702-7908",
        "country": {
          "code": "USA",
          "name": "UNITED STATES"
        },
        "countrySubdivision": {
          "code": "OR",
          "name": "OREGON"
        }
      },
      "brandName": "TESTBRANDNAME",
      "phoneNumber": "1234567890",
      "merchantCategory": "3501 - HOLIDAY INNS",
      "merchantDbaName": "HOLIDAY INN",
      "cardAcceptorId": "0000C928456",
      "legalCorporateName": "ALEGALNAME",
      "locationId": 663704553,
      "isBrickAndMortar": true,
      "isEcommerce": true
    }
  ]
}
```

